Avisos
Vaciar todo

actualizar virtuemart 2.6.14 a virtuemart 3  

Página 1 / 2
 
canvidreams
 canvidreams
Estimable Member

Hola chicos, estoy haciendo pruebas con una copia del site, para ver si es factible:
1º: actualizar Virtuemart a la versión 3 (la que sea que esté estable)
y
2º: actualizar Joomla de la versión 2.5.28 a una versión Joomla 3 para que sea compatible con virtuemart 3 (ya que si primero actualizo a Joomla 3 con un virtuemart 2 instalado creo que no le gusta y no reconoce el componente)

Me recomendáis actualizar Virtuemart 2.6.14 a alguna versión concreta de virtuemart 3 ?

muchas gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 03/04/2016 3:04 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola,

1. La que sea estable actualmente es la: 3.0.14 🙂

2º: actualizar Joomla de la versión 2.5.28 a una versión Joomla 3 para que sea compatible con virtuemart 3 (ya que si primero actualizo a Joomla 3 con un virtuemart 2 instalado creo que no le gusta y no reconoce el componente)

2. Aquí empezamos con las preguntas 🙂

- ¿Trabajas con multiidiomas en VirtueMart bajo Joomla 2.5.28?
- ¿La plantilla de Joomla que usas es compatible con Joomla 3.5.0?
- ¿El theme de VirtueMart que usas es compatible con VirtueMart 3.0.14?
- ¿Tienes alguna extensión que no sea compatible con Joomla 3.5.0?

3. Una vez nos des detalles te indicare que posibilidades de actualizar con éxito tienes.

Saludos

ResponderCitar
Respondido : 03/04/2016 3:33 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

canvidreams
 canvidreams
Estimable Member

Ostras muchas gracias por responder tan rápido y con tanta concreción 🙂

Vale, intento responder (dentro de mis conocimientos, que no son tantos como los vuestros jeje)

- ¿Trabajas con multiidiomas en VirtueMart bajo Joomla 2.5.28?
No, esto sí lo había leído en el foro que no se recomendaba en ese caso, pero yo no trabajo con multiidiomas.

- ¿La plantilla de Joomla que usas es compatible con Joomla 3.5.0?
No, uso la del pack Boutique, no es responsive ni nada (es uno de los motivos por los que quiero actualizar todo, el tema responsive y el tema usabilidad en el proceso de compra de Virtuemart 3, que lo veo mejor y más cercano a otra tienda que tengo en Prestashop 1.6.
¿Qué hago entonces, busco una plantilla gratuita compatible para probar, antes de comprar una sin saber si me servirá todo?

- ¿El theme de VirtueMart que usas es compatible con VirtueMart 3.0.14?
No creo, es el del pack Boutique.

- ¿Tienes alguna extensión que no sea compatible con Joomla 3.5.0?
Y aquí mis conocimientos no llegan jeje, ¿Cómo puedo averiguarlo? He leído que antes de pasar a Joomla 3 hay que desinstalar todo lo que no sea compatible, pero no sé muy bien como hacer esa lista de cosas a borrar

muchas gracias de antemano eh! es fantástico contar con profesionales así

ResponderCitar
Respondido : 03/04/2016 3:43 am
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola,

1. No trabajas con multiidiomas. Perfecto!, esto es un paso positivo para que puedas actualizar a Joomla 3.5.0 sin problemas desde Joomla 2.5.28

¿Qué hago entonces, busco una plantilla gratuita compatible para probar, antes de comprar una sin saber si me servirá todo?

2. Correcto, tendrás que plantearte seriamente dar un paso a una plantilla "responsive" que además sea compatible con Joomla 3.5.0 y que podrás instalar una vez hayas actualizado (entiendo que lo haces desde una web clonada).

3. Otro motivo más por el que debes escoger una plantilla que en la medida de lo posible disponga de tema personalizado para VirtueMart (hay muchos desarrolladores que lo ofrecen, sobre todo los que comercializan plantillas para Joomla con VirtueMart como GavickPro o JoomlArt).

4. Para saber que extensiones no son compatibles con Joomla 3.5.0 primero tendríamos que saber que extensiones "importantes (componentes, módulos y plugins) necesitas si o si para seguir trabajando y de cuales puedes prescindir. esta es una tarea lenta y aburrida, pero necesaria.

Saludos

ResponderCitar
Respondido : 03/04/2016 4:07 am

Cursos Gratuitos WordPress

canvidreams
 canvidreams
Estimable Member

Vale, 😉 pues contesto a la 4.

COMPONENTES importantes:
Akeeba BackUp, AwoCoupon, BreezingForms, CSVi, y claro, VIRTUEMART

MÓDULOS importantes:
JDialog (para el aviso a +18años), R3D Floater (ventana flotante con una promo etc), METAMOD (para mostrar algunos módulos en páginas concretas de Virtuemart), Genius VM ajax search (búsqueda instantánea de productos Virtuemart)

PLUGINS:
Aquí me pierdo un poco, lo que sí es cierto que cuando probé actualizar a Joomla 3 en otra prueba, me quedé sin editores de artículos, y aquí veo plugins instalados de Editor JCE, Editor TinyMCE... Los demás o son de sistema o no me suenan de nada, no los debo usar, no sé.

Espero haberme explicado un poco, con tantas cosas seguro que se me escapa algo, por lo que otra vez muchas gracias de antemano por vuestra ayuda

ResponderCitar
Respondido : 03/04/2016 2:51 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola.
Akeeba BackUp, AwoCoupon, BreezingForms, CSVi, y claro, VIRTUEMART

Con estos componentes no tienes ningún problema son compatibles con joomla 3:
Akeeba Backup, Breezing Forms (Lite), CSVI Pro, y por supuesto virtuemart

AwoCoupon Starter, es compatible con VM3
AwoCoupon Starter

MÓDULOS
JDialog, creo que no es compatible pero bueno hay alternativas jQuery Daily PopUP
Estos si que son compatibles:
R3D FloaterMetaMod ( este veo que no se actualiza desde hace 1 año ), Genius Ajax Search for Virtuemart ( compatible con joomla 3 y VM3 )

Para los editores no tienes ningún problema, los dos son compatible.

Espero que esto te sirva y paciencia para tu nuevo proyecto.

Un saludo

ResponderCitar
Respondido : 03/04/2016 3:22 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

canvidreams
 canvidreams
Estimable Member

perfecto! muchísimas gracias

Pues entro en materia, a ver, he empezado por actualizar Virtuemat, de la versión 2.6.14 a la última estable que comentó Luis Mendez, la 3.0.14.
Todo ha ido bien, y la web clonada de pruebas ahora mismo tiene un Joomla 2.5.28 y un Virtuemart 3.0.14
La navegació y las acciones de agregar productos etc funcionan bien, hasta que nos metemos en MOSTRAR CESTA y cuando carga la parte de CART, se muestra todo sin plantilla, como véis aquí:

¿Cúal creéis que debe ser el error?
Un tema de plantilla incompatible con Virtuemart 3 en esa parte de la CART ?
U otra cosa, tipo plugin o componente que carga algo que no le gusta a Virtuemart 3 ?

ResponderCitar
Respondido : 03/04/2016 4:59 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Verifica actualizando Joomla a la versión 2.5.29, es probable que sea un problema de plantilla por lo que te recomendaría que pruebes cambiándola.

ResponderCitar
Respondido : 03/04/2016 5:13 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

canvidreams
 canvidreams
Estimable Member

Vale, he probado a cambiar la plantilla Boutique por esta otra que pone que es compatible con Virtuemart 3,
https://www.gavick.com/joomla-templates/storebox

pero no he tenido ningún éxito, sigue viéndose la pantalla así en blanco y sin menús cuando entro a la CART.

un saludo

ResponderCitar
Respondido : 03/04/2016 5:31 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Actualizaste la versión para Joomla 2.5.29?

Sobre la plantilla tienes que revisar para que versión exacta de Virtuemart 3 esta soportada porque si se encuentra para una versión anterior a la que estas utilizando te puede generar problemas, recuerda que las plantillas en la actualidad ya no dan soporte para joomla 2.5

ResponderCitar
Respondido : 03/04/2016 5:39 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

canvidreams
 canvidreams
Estimable Member

No encuentro la información de esa plantilla, donde indique que sea compatible con Virtuemart 3.0.14 o hasta qué versión de Virtuemart lo pueda ser...

De joomla estoy en la versión 2.5.28 ya que es la última que me sale para actualizar, dentro de la rama 2.5

¿Cómo puedo actualizar a esa 2.5.29 ? Realmente, siendo una versión que ya está fuera del soporte, crees que pueda subsanar algo de eso o más bien tiene fixes para problemas de seguridad y todo esto de siempre?

Puedo probarlo por quitarme la duda de si pudiera ser, lo malo es que no sé como conseguirla y actualizarlo automáticamente. O igual se ha de hacer manualmente, lo cual no sé bien bien cómo

muchas gracias

ResponderCitar
Respondido : 03/04/2016 6:56 pm
Johnny Heredia Montiel
 Johnny Heredia Montiel
Miembro Moderator

Hola,

Al parecer esta versión de Joomla no se encuentra disponible y los de Virtuemart es posible que hayan sacado algún paquete especifico para esta versión, podrás notarlo al dirigirte a su web oficial: http://virtuemart.net/downloads y al querer descargar el paquete para Joomla 2.5 incluido el Virtuemart indica: VirtueMart3.0.14_Joomla_2.5.29-Stable-Full_Package.zip, yo creo que este paquete ha sido adaptado de forma especifica para que ejecute la versión de Virtuemart sin problemas.

ResponderCitar
Respondido : 03/04/2016 7:18 pm

Cursos Gratuitos WordPress

canvidreams
 canvidreams
Estimable Member

Ok, ya me lo he bajado, el VirtueMart3.0.14_Joomla_2.5.29-Stable-Full_Package.zip
La pregunta es, ¿cómo debo instalar todo eso, contando que lo mío es una actualización ?

Es lo que no sé cómo hacer, actualizar manualmente a eso para probarlo, partiendo de que ya tengo un stock y un blog etc (aunque esta sea una versión de pruebas para no cargarme la web de ventas real)

ResponderCitar
Respondido : 03/04/2016 8:33 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola,

No se de donde sale ese "Joomla 2.5.29" pues dicha versión no existe. ¿¿??

Los paquetes oficiales están en el GitHub disponibles:

- https://github.com/joomla/joomla-cms/releases/tag/3.5.0

Las instrucciones oficiales de actualización las puedes consultar en este enlace:

- https://docs.joomla.org/Joomla_2.5_to_3.x_Step_by_Step_Migration/es

Como te comenté anteriormente, uno de los puntos que tenias que revisar con respecto al cambio de plantilla, es que te fijases si disponía de tema (theme) para VirtueMart. Si no lo tiene, no es requisito indispensable y en todo caso trabajarías con el tema instalado, entendiendo que este debe ser "responsive".

¿En que fase del proceso te encuentras ahora?

Saludos

ResponderCitar
Respondido : 03/04/2016 10:35 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

canvidreams
 canvidreams
Estimable Member

Hola Luis, pues a pesar de estar probando muchas cosas, no he tenido éxito y no he podido avanzar mucho desde este punto en el que estoy:

la web clonada de pruebas ahora mismo tiene un Joomla 2.5.28 y un Virtuemart 3.0.14
La navegació y las acciones de agregar productos etc funcionan bien, hasta que nos metemos en MOSTRAR CESTA y cuando carga la parte de CART, se muestra todo sin plantilla, como véis aquí:

He hecho pruebas a lo bruto renombrando la carpeta CART que hay dentro del com_virtuemart del template Boutique, y si pongo la carpeta CART de otro template más nuevo, sí que funciona, por lo que tengo claro que es un tema de TEMPLATE, lo único que no encuentro uno que sea seguro compatible con Joomla 2.5.28 y con Virtuemart 3.0.14

A modo de apunte sólo, he intentado en otra web de prueba tratar de actualizar este Joomla 2.5.28 a la versión 3.5 y me volví a quedar sin la funcionalidad de los botones Guardar y Guardar y Cerrar y claro, no podía asignarle los menús a otro template, y posteriormente supongo que tratando de activar algún plugin, con la famosa pantalla en blanco, por lo que entiendo que se me da MUY MAL esto de actualizar a Joomla 3, y no sé si voy a ser capáz 🙁

ResponderCitar
Respondido : 04/04/2016 1:13 pm
Página 1 / 2